summaryrefslogtreecommitdiff
path: root/install_debug.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install_debug.sh')
-rwxr-xr-xinstall_debug.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/install_debug.sh b/install_debug.sh
index 8f39be00..277ca92d 100755
--- a/install_debug.sh
+++ b/install_debug.sh
@@ -1,9 +1,16 @@
#!/usr/bin/env bash
+if (($# == 1 ))
+then
+ PREFIX=${1/%\//}
+else
+ PREFIX="/usr/local/ouroboros"
+fi
+
BUILDDIR=build
DEBUGDIR=debug
-bash compile_debug.sh $1
+bash compile_debug.sh "$PREFIX"
-cd $BUILDDIR/$DEBUGDIR
+cd $BUILDDIR/$DEBUGDIR || exit 1
make install